%define name    gcfilms 
%define version 4.8
%define release 1mdk
%define iconname %{name}.png

Summary: Movie collection manager 
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Office
URL:  https://gna.org/projects/gcfilms/
Source: %{name}-%{version}.tar.bz2
BuildRoot:  %{_tmppath}/%{name}-root
Requires: gtk2
BuildArchitectures: noarch 

%description
GCfilms is an application that can be used to manage a movie collection. 
A user can stock all the movies he has with some associated informations 
(where it is located, movie category, already seen or not, a rating,...). 
Then one can retrieve some movies matching filtering criteria (specific 
values for movies information).

This application has a plugin system to be able to find movies specific
information (running time, actors, director,...) from Internet websites. 
The user only enters the movie title and GCfilms automatically fills in 
these fields.
 

%prep
rm -rf ${RPM_BUILD_ROOT} 
%setup -q -n %{name}
 
%build

./install --prefix=$RPM_BUILD_ROOT/usr 

mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}
convert share/gcfilms/%{name}.png -geometry 48x48 %{buildroot}%{_liconsdir}/%{iconname}
convert share/gcfilms/%{name}.png -geometry 32x32 %{buildroot}%{_iconsdir}/%{iconname} 
convert share/gcfilms/%{name}.png -geometry 16x16 %{buildroot}%{_miconsdir}/%{iconname} 
cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}):\
	command="%{name}" \
	icon="%{iconname}" \
	title="Gcfilms" \
	longtitle="Movie collection manager" \
	needs="x11" \
	section="Office/Accessories"
EOF
 

%post
%{update_menus}

%postun
%{clean_menus}
 
%clean
rm -rf $RPM_BUILD_ROOT

 
%files
%defattr(-,root,root) 
%doc README* CHANGELOG*
%{_bindir}/*
%{_datadir}/gcfilms
%dir %{_libdir}/gcfilms
%{_libdir}/gcfilms/*
%{_menudir}/%{name}
%{_miconsdir}/%{iconname}
%{_iconsdir}/%{iconname}
%{_liconsdir}/%{iconname} 
 

%changelog 
* Sat Apr 09 2005 Charles A Edwards <eslrahc@mandrake.org> 4.8-1mdk
- 4.8

* Tue Mar 15 2005 Charles A Edwards <eslrahc@mandrake.org> 4.6a-1mdk
- initial Mdk release


 